/*
 Copyright (c) 2006-2016 Trellis Management Co. Ltd.

 This software module is an implementation of one or more tools as proposed
 for the JPEG XT standard.
 
 The copyright in this software is being made available under the
 license included with the sources LICENSE.TXT. This software may be subject to other third
 party and contributor rights, including patent rights, and no such
 rights are granted under this license. 
*/

#ifndef _pfm_io_h
#define _pfm_io_h

#include "image.h"


#define PFM_TYPE_RGBF   0
#define PFM_TYPE_FLOAT  1

#define PFM_MAXLINE	256

/** Big endian / Little endian float conversion */
#define REVERSEBYTES(source, dest)		\
{										\
char *j = (char *) source;			\
char *dj = (char *) dest;			\
dj[0] = j[3];						\
dj[1] = j[2];						\
dj[2] = j[1];						\
dj[3] = j[0];						\
}

FILE_IMAGE *pfm_load(const char *filename);
int pfm_channels(const char *filename);
int pfm_write(FILE_IMAGE *image,const char *filename);
#endif
